/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/core/xml/xmlparser.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/filesystem/filesystem.hpp"

CXMLParser *CXMLParser::ms_pSingleton;

CXMLParser::CXMLParser()
{
}

CXMLParser::~CXMLParser()
{
}

CXMLParser *CXMLParser::create()
{
	if (!ms_pSingleton) {
		ms_pSingleton = new CXMLParser;
	}
	return ms_pSingleton;
}

CXMLParser *CXMLParser::get()
{
	if (!ms_pSingleton) {
		ms_pSingleton = create();
	}
	return ms_pSingleton;
}

tUINT32	
sgxXMLStreamCallbackHandler::fillBuffer(tBYTE *pBuffer, const tUINT32 maxSize) {
	SGX_UNUSED(pBuffer);
	SGX_UNUSED(maxSize);
	return 0;
}

tBOOL	
CXMLParser::parseStream(sgxXMLTree &tree, sgxXMLStreamCallbackHandler *pHandler){
	SGX_UNUSED(tree);
	SGX_UNUSED(pHandler);
	return FALSE;
}


tBOOL
CXMLParser::parseMemory(sgxXMLTree &tree, const tBYTE *pBuffer, const tUINT32 bufferSize){
	SGX_UNUSED(tree);
	SGX_UNUSED(pBuffer);
	SGX_UNUSED(bufferSize);
	return FALSE;
}
